# kio Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KFile Class Reference

KFile is a class which provides a namespace for some enumerated values associated with the kfile library. More...

`#include <kfile.h>`

List of all members.

## Public Types

enum | Mode { File = 1, Directory = 2, Files = 4, ExistingOnly = 8, LocalOnly = 16, ModeMax = 65536 }
enum | FileView { Default = 0, Simple = 1, Detail = 2, SeparateDirs = 4, PreviewContents = 8, PreviewInfo = 16, FileViewMax = 65536 }
enum | SelectionMode { Single = 1, Multi = 2, Extended = 4, NoSelection = 8 }

## Static Public Member Functions

static bool | isSortByName (const QDir::SortSpec &sort)
static bool | isSortBySize (const QDir::SortSpec &sort)
static bool | isSortByDate (const QDir::SortSpec &sort)
static bool | isSortDirsFirst (const QDir::SortSpec &sort)
static bool | isSortCaseInsensitive (const QDir::SortSpec &sort)
static bool | isDefaultView (const FileView &view)
static bool | isSimpleView (const FileView &view)
static bool | isDetailView (const FileView &view)
static bool | isSeparateDirs (const FileView &view)
static bool | isPreviewContents (const FileView &view)
static bool | isPreviewInfo (const FileView &view)

## Detailed Description

KFile is a class which provides a namespace for some enumerated values associated with the kfile library.

You will never need to construct a KFile object itself.

Definition at line 31 of file kfile.h.

## Member Enumeration Documentation

enum KFile::Mode

Modes of operation for the dialog.

- `File` - Get a single file name from the user.
- `Directory` - Get a directory name from the user.
- `Files` - Get multiple file names from the user.
- `ExistingOnly` - Never return a filename which does not exist yet
- `LocalOnly` - Don't return remote filenames

Definition at line 42 of file kfile.h.

## Member Function Documentation

static bool KFile::isPreviewInfo | ( | const FileView & | view | ) | `[inline, static]`

Since:
  3.1

Definition at line 123 of file kfile.h.

Referenced by KDirOperator::createView(), and KDirOperator::setView().

The documentation for this class was generated from the following file:

- kfile.h

This file is part of the documentation for kio Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:24:35 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003